Skip to main content
GET
/
2
/
connections
कनेक्शन इतिहास प्राप्त करें
curl --request GET \
  --url https://api.x.com/2/connections \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "connected_at": "2023-11-07T05:31:56Z",
      "endpoint_name": "sample_stream",
      "client_ip": "<string>",
      "disconnect_reason": "operator_disconnect",
      "disconnected_at": "2023-11-07T05:31:56Z"
    }
  ],
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ],
  "meta": {
    "next_token": "<string>",
    "result_count": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

status
enum<string>
default:active

कनेक्शन status के आधार पर फ़िल्टर करें। मौजूदा कनेक्शनों के लिए 'active', ऐतिहासिक/डिस्कनेक्ट हो चुके कनेक्शनों के लिए 'inactive', या दोनों के लिए 'all' का उपयोग करें।

Available options:
active,
inactive,
all
endpoints
enum<string>[]

स्ट्रीमिंग endpoint के आधार पर फ़िल्टर करें। परिणामों को फ़िल्टर करने के लिए एक या अधिक endpoint नाम निर्दिष्ट करें।

Available options:
filter_stream,
sample_stream,
sample10_stream,
firehose_stream,
tweets_compliance_stream,
users_compliance_stream,
tweet_label_stream,
firehose_stream_lang_en,
firehose_stream_lang_ja,
firehose_stream_lang_ko,
firehose_stream_lang_pt,
likes_firehose_stream,
likes_sample10_stream,
likes_compliance_stream
max_results
integer<int32>
default:10

प्रति पेज लौटाए जाने वाले परिणामों की अधिकतम संख्या।

Required range: 1 <= x <= 100
pagination_token
string

परिणामों को पेजिनेट करने के लिए टोकन। पिछले रिस्पॉन्स से 'next_token' का मान उपयोग करें।

connection.fields
enum<string>[]

प्रदर्शित करने के लिए Connection फ़ील्ड्स की अल्पविराम-से-पृथक सूची। Connection ऑब्जेक्ट के लिए उपलब्ध फ़ील्ड्स।

Minimum array length: 1
Available options:
client_ip,
connected_at,
disconnect_reason,
disconnected_at,
endpoint_name,
id
Example:
[
  "client_ip",
  "connected_at",
  "disconnect_reason",
  "disconnected_at",
  "endpoint_name",
  "id"
]

Response

अनुरोध सफल रहा।

data
object[]
Minimum array length: 1
errors
object[]
Minimum array length: 1

IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) में परिभाषित एक HTTP Problem Details ऑब्जेक्ट।

meta
object